diff --git a/event-driven-architecture/src/main/java/com/iluwatar/eda/framework/EventDispatcher.java b/event-driven-architecture/src/main/java/com/iluwatar/eda/framework/EventDispatcher.java
index fef303937d..d5436acbf0 100644
--- a/event-driven-architecture/src/main/java/com/iluwatar/eda/framework/EventDispatcher.java
+++ b/event-driven-architecture/src/main/java/com/iluwatar/eda/framework/EventDispatcher.java
@@ -1,7 +1,6 @@
 package com.iluwatar.eda.framework;
 
 import com.iluwatar.eda.event.Event;
-import com.iluwatar.eda.framework.Handler;
 
 import java.util.HashMap;
 import java.util.Map;
